memptr Struct Reference

`#include <membuffer.h>`

## Data Fields

char * | buf
size_t | length

## Detailed Description

pointer to a chunk of memory.

## Field Documentation

## buf

char* memptr::buf

start of memory (read/write).

Referenced by create_url_list(), handle_invoke_action(), memptr_cmp(), memptr_cmp_nocase(), and print_http_headers().

## length

size_t memptr::length

length of memory (read-only).

Referenced by create_url_list(), handle_invoke_action(), memptr_cmp(), memptr_cmp_nocase(), and print_http_headers().

The documentation for this struct was generated from the following file:

- upnp/src/inc/membuffer.h